Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jdi.connect
Interface AttachingConnector

All Superinterfaces:
  Connector

public interface AttachingConnector
extends Connector

A connector which attaches to a previously running target VM.

Since:
  1.3

Nested Class Summary

Nested classes inherited from class com.sun.jdi.connect.Connector
`Connector.Argument, Connector.BooleanArgument, Connector.IntegerArgument, Connector.SelectedArgument, Connector.StringArgument`

Method Summary
`VirtualMachine` | `attach(Map arguments)` Attaches to a running application and and returns a mirror of its VM.

Methods inherited from interface com.sun.jdi.connect.Connector
`defaultArguments, description, name, transport`

Method Detail

### attach

    public VirtualMachine attach(Map arguments)
                          throws IOException,
                                 IllegalConnectorArgumentsException

  Attaches to a running application and and returns a mirror of its VM.

  The connector uses the given argument map in attaching the application. These arguments will include addressing information that identifies the VM. The argument map associates argument name strings to instances of `Connector.Argument`. The default argument map for a connector can be obtained through `Connector.defaultArguments()`. Argument map values can be changed, but map entries should not be added or deleted.

  Parameters:
    `arguments` - the argument map to be used in launching the VM.
  Returns:
    the `VirtualMachine` mirror of the target VM.
  Throws:
    `IOException` - when unable to attach. Specific exceptions are dependent on the Connector implementation in use.
    `IllegalConnectorArgumentsException` - when one of the connector arguments is invalid.

Overview | Package | Class | Use | Tree | Index | Help
| Java Debug Interface
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD